WB32F10x Standard Peripherals Firmware Library

Data Fields
DMAC_Channel_InitTypeDef Struct Reference
WB32F10x_StdPeriph_Driver » DMAC

DMAC Channel Init Structure definition. More...

`#include <wb32f10x_dmac.h>`

## Data Fields
uint32_t | DMAC_SourceBaseAddr
uint32_t | DMAC_DestinationBaseAddr
uint32_t | DMAC_Interrupt
uint32_t | DMAC_SourceTransferWidth
uint32_t | DMAC_DestinationTransferWidth
uint32_t | DMAC_SourceAddrInc
uint32_t | DMAC_DestinationAddrInc
uint32_t | DMAC_SourceTransactionLength
uint32_t | DMAC_DestinationTransactionLength
uint32_t | DMAC_TransferTypeAndFlowControl
uint32_t | DMAC_SourceMasterInterface
uint32_t | DMAC_DestinationMasterInterface
uint32_t | DMAC_BlockTransferSize
uint32_t | DMAC_SourceHandshakingInterfaceSelect
uint32_t | DMAC_DestinationHandshakingInterfaceSelect
uint32_t | DMAC_SourceHandshakingInterfacePolarity
uint32_t | DMAC_DestinationHandshakingInterfacePolarity
uint32_t | DMAC_AutomaticSourceReload
uint32_t | DMAC_AutomaticDestinationReload
uint32_t | DMAC_FlowControlMode
uint32_t | DMAC_FIFOMode
uint8_t | DMAC_ChannelPriority
uint8_t | DMAC_ProtectionControl
uint8_t | DMAC_SourceHardwareHandshakingInterfaceAssign
uint8_t | DMAC_DestinationHardwareHandshakingInterfaceAssign
uint16_t | DMAC_MaximumAMBABurstLength

## Detailed Description

DMAC Channel Init Structure definition.

## Field Documentation

## ◆ DMAC_AutomaticDestinationReload

uint32_t DMAC_AutomaticDestinationReload

Specifies the automatic destination reload feature enable or not.

This parameter can be a value of DMAC_AutomaticDestinationReload.

Note
  This parameter is valid only for DMACx channel0.

## ◆ DMAC_AutomaticSourceReload

uint32_t DMAC_AutomaticSourceReload

Specifies the automatic source reload feature enable or not.

This parameter can be a value of DMAC_AutomaticSourceReload.

Note
  This parameter is valid only for DMACx channel0.

## ◆ DMAC_BlockTransferSize

uint32_t DMAC_BlockTransferSize

Specifies the block transfer size when the DMAC is the flow controller, in data unit.
The data unit is equal to the configuration set in DMAC_SourceTransferWidth.

This parameter can be a number between 0 and 511.

## ◆ DMAC_ChannelPriority

uint8_t DMAC_ChannelPriority

Specifies the channel priority from 0 to the maximum channel number.
A low priority number means low priority. 0 is the lowest priority.

This parameter can be a number between 0 and 2.

## ◆ DMAC_DestinationAddrInc

uint32_t DMAC_DestinationAddrInc

Specifies whether to increment or decrement the destination address on every destination transfer.

This parameter can be a value of DMAC_DestinationAddrInc.

## ◆ DMAC_DestinationBaseAddr

uint32_t DMAC_DestinationBaseAddr

Specifies the destination base address.

## ◆ DMAC_DestinationHandshakingInterfacePolarity

uint32_t DMAC_DestinationHandshakingInterfacePolarity

Specifies the destination handshaking interface polarity.

This parameter can be a value of DMAC_DestinationHandshakingInterfacePolarity.

## ◆ DMAC_DestinationHandshakingInterfaceSelect

uint32_t DMAC_DestinationHandshakingInterfaceSelect

Specifies which of the handshaking interfaces - hardware or software - is active for destination requests on this channel.

This parameter can be a value of DMAC_DestinationHandshakingInterfaceSelect.

## ◆ DMAC_DestinationHardwareHandshakingInterfaceAssign

uint8_t DMAC_DestinationHardwareHandshakingInterfaceAssign

Specifies the hardware handshaking interface to the source of this channel if the configuration DMAC_DestinationHandshakingInterfaceSelect is DMAC_DestinationHandshakingInterfaceSelect_Hardware.

This parameter can be a value of DMAC_HardwareHandshakingInterface.

## ◆ DMAC_DestinationMasterInterface

uint32_t DMAC_DestinationMasterInterface

Specifies the Master Interface layer where the destination device (peripheral or memory) resides.

This parameter can be a value of DMAC_DestinationMasterInterface.

## ◆ DMAC_DestinationTransactionLength

uint32_t DMAC_DestinationTransactionLength

Specifies the destination burst transaction length.

This parameter can be a value of DMAC_DestinationTransactionLength.

Note
  This parameter has no effect if the destination is memory.

## ◆ DMAC_DestinationTransferWidth

uint32_t DMAC_DestinationTransferWidth

Specifies the destination transfer width.

This parameter can be a value of DMAC_DestinationTransferWidth.

## ◆ DMAC_FIFOMode

uint32_t DMAC_FIFOMode

Specifies the FIFO mode.

This parameter can be a value of DMAC_FIFOMode.

## ◆ DMAC_FlowControlMode

uint32_t DMAC_FlowControlMode

Specifies the flow control mode.

This parameter can be a value of DMAC_FlowControlMode.

## ◆ DMAC_Interrupt

uint32_t DMAC_Interrupt

Specifies the global interrupt enable/disable for the channel.

This parameter can be a value of DMAC_Interrupt.

## ◆ DMAC_MaximumAMBABurstLength

uint16_t DMAC_MaximumAMBABurstLength

Specifies the Maximum AMBA burst length that is used for DMA transfers on this channel.
A value of 0 indicates that software is not limiting the maximum AMBA burst length for DMA transfers on this channel.

This parameter is recommended to be 0.

## ◆ DMAC_ProtectionControl

uint8_t DMAC_ProtectionControl

Specifies the protection control, used to drive the AHB HPROT[3:1] bus.

The AMBA Specification recommends that the default value of HPROT indicates a non-cached, non-buffered, privileged data access.
Therefore, this parameter is recommended to be 0x01.

## ◆ DMAC_SourceAddrInc

uint32_t DMAC_SourceAddrInc

Specifies whether to increment or decrement the source address on every source transfer.

This parameter can be a value of DMAC_SourceAddrInc.

## ◆ DMAC_SourceBaseAddr

uint32_t DMAC_SourceBaseAddr

Specifies the source base address.

## ◆ DMAC_SourceHandshakingInterfacePolarity

uint32_t DMAC_SourceHandshakingInterfacePolarity

Specifies the source handshaking interface polarity.

This parameter can be a value of DMAC_SourceHandshakingInterfacePolarity.

## ◆ DMAC_SourceHandshakingInterfaceSelect

uint32_t DMAC_SourceHandshakingInterfaceSelect

Specifies which of the handshaking interfaces - hardware or software - is active for source requests on this channel.

This parameter can be a value of DMAC_SourceHandshakingInterfaceSelect.

## ◆ DMAC_SourceHardwareHandshakingInterfaceAssign

uint8_t DMAC_SourceHardwareHandshakingInterfaceAssign

Specifies the hardware handshaking interface to the source of this channel if the configuration DMAC_SourceHandshakingInterfaceSelect is DMAC_SourceHandshakingInterfaceSelect_Hardware.

This parameter can be a value of DMAC_HardwareHandshakingInterface.

## ◆ DMAC_SourceMasterInterface

uint32_t DMAC_SourceMasterInterface

Specifies the Master Interface layer from which the source device (peripheral or memory) is accessed.

This parameter can be a value of DMAC_SourceMasterInterface.

## ◆ DMAC_SourceTransactionLength

uint32_t DMAC_SourceTransactionLength

Specifies the source burst transaction length.

This parameter can be a value of DMAC_SourceTransactionLength.

Note
  This parameter has no effect if the source is memory.

## ◆ DMAC_SourceTransferWidth

uint32_t DMAC_SourceTransferWidth

Specifies the source transfer width.

This parameter can be a value of DMAC_SourceTransferWidth.

## ◆ DMAC_TransferTypeAndFlowControl

uint32_t DMAC_TransferTypeAndFlowControl

Specifies the transfer type and flow control.

This parameter can be a value of DMAC_TransferTypeAndFlowControl.

The documentation for this struct was generated from the following file:

- wb32f10x_dmac.h